> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/trlink/get-public-key-for-pii-encryption",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get public key for PII encryption

> Retrieves the partner's public key in JWK format for encrypting PII data in Travel Rule Messages. Use this key to encrypt sensitive originator and beneficiary information before sending Travel Rule messages.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /screening/trlink/customers/integration/{customerIntegrationId}/public_key
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/trlink/customers/integration/{customerIntegrationId}/public_key:
    get:
      tags:
        - TRLink
      summary: Get public key for PII encryption
      description: >-
        Retrieves the partner's public key in JWK format for encrypting PII data
        in Travel Rule Messages. Use this key to encrypt sensitive originator
        and beneficiary information before sending Travel Rule messages.
      operationId: getTRLinkIntegrationPublicKey
      parameters:
        - name: customerIntegrationId
          in: path
          required: true
          description: Customer integration unique identifier
          example: 123e4567-e89b-12d3-a456-426614174000
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Public key retrieved successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRLinkPublicKeyResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<TRLinkPublicKeyResponse>>
            =
            fireblocks.tRLink.getTRLinkIntegrationPublicKey(tRLinkApiGetTRLinkIntegrationPublicKeyRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TRLinkPublicKeyResponse>> response =
            fireblocks.tRLink().getTRLinkIntegrationPublicKey(customerIntegrationId);
        - lang: Python
          source: >-
            response =
            fireblocks.t_r_link.get_t_r_link_integration_public_key(customer_integration_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    TRLinkPublicKeyResponse:
      type: object
      properties:
        issuer:
          type: string
          description: Partner issuer identifier
          example: notabene
        publicKey:
          $ref: '#/components/schemas/TRLinkJwkPublicKey'
      required:
        - issuer
        - publicKey
    TRLinkJwkPublicKey:
      type: object
      description: JSON Web Key (JWK) format public key
      properties:
        kty:
          type: string
          enum:
            - RSA
          description: Key type
          example: RSA
        e:
          type: string
          description: RSA public exponent
          example: AQAB
        use:
          type: string
          enum:
            - enc
          description: Public key use (encryption)
          example: enc
        kid:
          type: string
          description: Key ID
          example: key-12345
        'n':
          type: string
          description: RSA modulus
          example: xGOr-H7A...
      required:
        - kty
        - e
        - use
        - kid
        - 'n'
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````